- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# XCB Damage API

Damage XCB Protocol Implementation. More...

## Data Structures
struct | xcb_damage_damage_iterator_t
| xcb_damage_damage_iterator_t More...
struct | xcb_damage_bad_damage_error_t
| xcb_damage_bad_damage_error_t More...
struct | xcb_damage_query_version_cookie_t
| xcb_damage_query_version_cookie_t More...
struct | xcb_damage_query_version_request_t
| xcb_damage_query_version_request_t More...
struct | xcb_damage_query_version_reply_t
| xcb_damage_query_version_reply_t More...
struct | xcb_damage_create_request_t
| xcb_damage_create_request_t More...
struct | xcb_damage_destroy_request_t
| xcb_damage_destroy_request_t More...
struct | xcb_damage_subtract_request_t
| xcb_damage_subtract_request_t More...
struct | xcb_damage_notify_event_t
| xcb_damage_notify_event_t More...
## Defines
#define | XCB_DAMAGE_MAJOR_VERSION 1
#define | XCB_DAMAGE_MINOR_VERSION 0
#define | XCB_DAMAGE_BAD_DAMAGE 0
#define | XCB_DAMAGE_QUERY_VERSION 0
#define | XCB_DAMAGE_CREATE 1
#define | XCB_DAMAGE_DESTROY 2
#define | XCB_DAMAGE_SUBTRACT 3
#define | XCB_DAMAGE_NOTIFY 0
## Typedefs
typedef uint32_t | xcb_damage_damage_t
## Enumerations
enum | xcb_damage_report_level_t { XCB_DAMAGE_REPORT_LEVEL_RAW_RECTANGLES, XCB_DAMAGE_REPORT_LEVEL_DELTA_RECTANGLES, XCB_DAMAGE_REPORT_LEVEL_BOUNDING_BOX, XCB_DAMAGE_REPORT_LEVEL_NON_EMPTY }
## Functions
void | xcb_damage_damage_next (xcb_damage_damage_iterator_t *i)
xcb_generic_iterator_t | xcb_damage_damage_end (xcb_damage_damage_iterator_t i)
xcb_damage_query_version_cookie_t | xcb_damage_query_version (xcb_connection_t *c, uint32_t client_major_version, uint32_t client_minor_version)
xcb_damage_query_version_cookie_t | xcb_damage_query_version_unchecked (xcb_connection_t *c, uint32_t client_major_version, uint32_t client_minor_version)
xcb_damage_query_version_reply_t * | xcb_damage_query_version_reply (xcb_connection_t *c, xcb_damage_query_version_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_damage_create_checked (xcb_connection_t *c, xcb_damage_damage_t damage, xcb_drawable_t drawable, uint8_t level)
xcb_void_cookie_t | xcb_damage_create (xcb_connection_t *c, xcb_damage_damage_t damage, xcb_drawable_t drawable, uint8_t level)
xcb_void_cookie_t | xcb_damage_destroy_checked (xcb_connection_t *c, xcb_damage_damage_t damage)
xcb_void_cookie_t | xcb_damage_destroy (xcb_connection_t *c, xcb_damage_damage_t damage)
xcb_void_cookie_t | xcb_damage_subtract_checked (xcb_connection_t *c, xcb_damage_damage_t damage, xcb_xfixes_region_t repair, xcb_xfixes_region_t parts)
xcb_void_cookie_t | xcb_damage_subtract (xcb_connection_t *c, xcb_damage_damage_t damage, xcb_xfixes_region_t repair, xcb_xfixes_region_t parts)
## Variables
xcb_extension_t | xcb_damage_id

## Detailed Description

Damage XCB Protocol Implementation.

## Define Documentation

#define XCB_DAMAGE_BAD_DAMAGE 0

Opcode for xcb_damage_bad_damage.

#define XCB_DAMAGE_CREATE 1

Opcode for xcb_damage_create.

#define XCB_DAMAGE_DESTROY 2

Opcode for xcb_damage_destroy.

#define XCB_DAMAGE_NOTIFY 0

Opcode for xcb_damage_notify.

#define XCB_DAMAGE_QUERY_VERSION 0

Opcode for xcb_damage_query_version.

#define XCB_DAMAGE_SUBTRACT 3

Opcode for xcb_damage_subtract.